## org.apache.batik.gvt
Class PatternPaintContext

    java.lang.Object
      org.apache.batik.gvt.PatternPaintContext

All Implemented Interfaces:
  java.awt.PaintContext

public class PatternPaintContext
extends java.lang.Object
implements java.awt.PaintContext

`PaintContext` for the `ConcretePatterPaint` paint implementation.

Field Summary
`protected java.awt.geom.AffineTransform` `usr2dev`

Constructor Summary
`PatternPaintContext(java.awt.image.ColorModel destCM, java.awt.geom.AffineTransform usr2dev, java.awt.RenderingHints hints, Filter tile, java.awt.geom.Rectangle2D patternRegion, boolean overflow)`

Method Summary
`void` `dispose()`
`java.awt.image.ColorModel` `getColorModel()`
`java.awt.image.Raster` `getRaster(int x, int y, int width, int height)`
`java.awt.geom.AffineTransform` `getUsr2Dev()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### usr2dev

    protected java.awt.geom.AffineTransform usr2dev

Constructor Detail

### PatternPaintContext

    public PatternPaintContext(java.awt.image.ColorModel destCM,
                               java.awt.geom.AffineTransform usr2dev,
                               java.awt.RenderingHints hints,
                               Filter tile,
                               java.awt.geom.Rectangle2D patternRegion,
                               boolean overflow)

Parameters:
  `destCM` - ColorModel that receives the paint data
  `usr2dev` - user space to device space transform
  `hints` - RenderingHints
  `patternRegion` - region tiled by this paint. In user space.
  `overflow` - controls whether the pattern region clips the pattern tile

Method Detail

### getUsr2Dev

    public java.awt.geom.AffineTransform getUsr2Dev()

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `java.awt.PaintContext`

### getColorModel

    public java.awt.image.ColorModel getColorModel()

  Specified by:
    `getColorModel` in interface `java.awt.PaintContext`

### getRaster

    public java.awt.image.Raster getRaster(int x,
                                           int y,
                                           int width,
                                           int height)

  Specified by:
    `getRaster` in interface `java.awt.PaintContext`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.